News & True RV Stories

Garmin GPS update for DNX7100 Kenwood

Published July 19, 2019

Category: Tech

Upon recently selling a new 2009 Magna I was going thru my list of tricks and updates when I noticed CC changed Kenwood dash stereo models on us.  This model DNX7100 has a different SD card location making it easier to update as its hidden behind the color screen.  When you hit the little eject button it partially opens to insert or remove a CD.  If you hold the eject button down and do not let go until it starts moving it will open further exposing the SD card slot as pictured below.  Enjoy...

Installation Instructions

  1. Create a 'garmin' folder on an SD data card (must be at least 16mb space available on the card, card must be 2gb or less in total size.
  2. Download the DNX 7/8 Series self-extracting archive file onto your hard drive.
  3. Run the downloaded executable file.
  4. Click on Browse and select the SD card reader in the list, then select the 'garmin' folder.
  5. Click Unzip to save the files onto the 'garmin' directory on the SD card.
  6. Wait for the message that the update was unzipped successfully and close the updater.
  7. Safely remove SD card from PC.
  8. The DNX7100 SD Card slot is located behind the monitor, hold the disk eject button and dont let it go until the screen starts to move, it will open further this way exposing the SD card slot. Once open, power down the Kenwood before inserting the SD card, this can be done by hodling down the Nav button.
  9. Insert SD card into Kenwood Navigation System. If there is already a card there, temporarily remove it. Hit the Nav buttom once to power back up.
  10. Your Kenwood Navigation System will ask if you would like to update software. Answer 'Yes'.
  11. The update will begin. Do not power off unit while the update is in progress. When finished you can verify the update by checking the version number in Menu->Settings->About->Software.
  12. Remove SD card.

Change History

Changes made from version 2.30 to 2.40:

Changes made from version 2.20 to 2.30:

Changes made from version 2.10 to 2.20:

System requirements

  1. IBM-compatible PC running Windows 2000 or later operating system.